com.pivotal.gemfirexd.internal.client.net

## Class Request

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request

Direct Known Subclasses:
  NetConnectionRequest

    public class Request
    extends Object

### Field Summary

Fields
`protected byte[]` `bytes_`
`protected CcsidManager` `ccsidManager_`
`protected static int` `DSS_CONTINUATION_LEN`
`protected int` `dssLengthLocation_`
`protected NetAgent` `netAgent_`
`protected int` `offset_`
`protected boolean` `passwordIncluded_`
`protected int` `passwordLength_`
`protected int` `passwordStart_`

### Method Summary

Methods
`protected int` `calculateExtendedLengthByteCount(long ddmSize)`
`protected void` `clearBuffer()`
`protected void` `createCommand()`
`protected void` `createXACommand()`
`protected boolean` `doesRequestContainData()`
`protected void` `ensureLength(int length)`
`protected void` `finalizeDssLength()`
`protected void` `finalizePreviousChainedDss(boolean dssHasSameCorrelator)`
`protected void` `flush(OutputStream socketOutputStream)`
`protected void` `flushExistingDSS()`
`protected int` `flushScalarStreamSegment()`
`protected int` `flushScalarStreamSegment(int leftToRead, int bytesToRead)`
`protected void` `mark()`
`protected void` `markForCachingPKGNAMCSN()`
`protected void` `markLengthBytes(int codePoint)`
`protected void` `padScalarStreamForError(int leftToRead, int bytesToRead)`
`protected int` `popMark()`
`protected int` `popMarkForCachingPKGNAMCSN()`
`protected int` `prepScalarStream(boolean chained, boolean chainedWithSameCorrelator, boolean writeNullByte, int leftToRead)`
`protected void` `sendBytes(OutputStream socketOutputStream)`
`void` `setCorrelationID(int id)`
`void` `setDssLengthLocation(int location)`
`protected void` `updateLengthBytes()`
`protected void` `writeDouble(double v)`
`protected void` `writeFloat(float v)`
`protected void` `writeIntFdocaData(int v)`
`protected void` `writeLongFdocaData(long v)`
`protected void` `writeScalar1Byte(int codePoint, int value)`
`protected void` `writeScalar4Bytes(int codePoint, long value)`
`protected void` `writeShortFdocaData(short v)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bytes_

    protected byte[] bytes_

#### offset_

    protected int offset_

#### ccsidManager_

    protected CcsidManager ccsidManager_

#### dssLengthLocation_

    protected int dssLengthLocation_

#### passwordIncluded_

    protected boolean passwordIncluded_

#### passwordStart_

    protected int passwordStart_

#### passwordLength_

    protected int passwordLength_

#### netAgent_

    protected NetAgent netAgent_

#### DSS_CONTINUATION_LEN

    protected static final int DSS_CONTINUATION_LEN

See Also:
  Constant Field Values

### Method Detail

#### clearBuffer

    protected final void clearBuffer()

#### ensureLength

    protected final void ensureLength(int length)

#### createCommand

    protected final void createCommand()

#### createXACommand

    protected void createXACommand()

#### prepScalarStream

    protected final int prepScalarStream(boolean chained,
                       boolean chainedWithSameCorrelator,
                       boolean writeNullByte,
                       int leftToRead)
                                  throws DisconnectException

Throws:
  `DisconnectException`

#### flushExistingDSS

    protected final void flushExistingDSS()
                                   throws DisconnectException

Throws:
  `DisconnectException`

#### flushScalarStreamSegment

    protected final int flushScalarStreamSegment(int leftToRead,
                               int bytesToRead)
                                          throws DisconnectException

Throws:
  `DisconnectException`

#### flushScalarStreamSegment

    protected final int flushScalarStreamSegment()
                                          throws DisconnectException

Throws:
  `DisconnectException`

#### padScalarStreamForError

    protected final void padScalarStreamForError(int leftToRead,
                               int bytesToRead)
                                          throws DisconnectException

Throws:
  `DisconnectException`

#### finalizePreviousChainedDss

    protected final void finalizePreviousChainedDss(boolean dssHasSameCorrelator)

#### doesRequestContainData

    protected final boolean doesRequestContainData()

#### finalizeDssLength

    protected final void finalizeDssLength()

#### markLengthBytes

    protected final void markLengthBytes(int codePoint)

#### mark

    protected final void mark()

#### popMark

    protected final int popMark()

#### markForCachingPKGNAMCSN

    protected final void markForCachingPKGNAMCSN()

#### popMarkForCachingPKGNAMCSN

    protected final int popMarkForCachingPKGNAMCSN()

#### updateLengthBytes

    protected final void updateLengthBytes()
                                    throws SqlException

Throws:
  `SqlException`

#### calculateExtendedLengthByteCount

    protected final int calculateExtendedLengthByteCount(long ddmSize)

#### writeScalar1Byte

    protected final void writeScalar1Byte(int codePoint,
                        int value)

#### writeScalar4Bytes

    protected final void writeScalar4Bytes(int codePoint,
                         long value)

#### flush

    protected void flush(OutputStream socketOutputStream)
                  throws IOException

Throws:
  `IOException`

#### sendBytes

    protected void sendBytes(OutputStream socketOutputStream)
                      throws IOException

Throws:
  `IOException`

#### writeShortFdocaData

    protected void writeShortFdocaData(short v)

#### writeIntFdocaData

    protected void writeIntFdocaData(int v)

#### writeLongFdocaData

    protected void writeLongFdocaData(long v)

#### writeFloat

    protected void writeFloat(float v)

#### writeDouble

    protected void writeDouble(double v)

#### setDssLengthLocation

    public void setDssLengthLocation(int location)

#### setCorrelationID

    public void setCorrelationID(int id)